Relesys API Docs

v1.4

https://api.relesystest.net/api/v1.4

Completions

List
GET /taskmanagementmodules/{moduleId}/tasks/{taskId}/completions
https://api.relesystest.net/api/v1.4/taskmanagementmodules/{moduleId}/tasks/{taskId}/completions
Get a list of task completions.

Default sort is by lastModifiedDateTime in descending order.

areaDepartmentId will be populated only when task's assignee type is "ByDepartmentType".
Scopes: relesys.api, relesys.api:read, relesys.api.taskmanagement, relesys.api.taskmanagement:read
URL Path
moduleId string / guid The module's unique identifier required
taskId string / guid The task's unique identifier required
Query String
areaDepartmentId string / guid Filterable optional
creationDateTime datetimeoffset Filterable Sortable optional
departmentId string / guid Filterable optional
id string / guid Filterable optional
lastModifiedDateTime datetimeoffset Filterable Sortable optional
serviceFormFillingId string / guid Filterable optional
userId string / guid Filterable optional
sort string Comma separated sort order based on sortable properties optional
offset integer Offset value for use in pagination Default: 0 optional
limit integer Total objects to fetch (max 1000) Default: 200 optional
Responses
application/json
JSON
{"count":2,"data":[{"id":"23083b4c-03db-4e6b-998c-b1ed042bb153","userId":"e6ece2a0-0de2-4f12-9b4d-d4f0aaa7b3b1","departmentId":"6fbff43f-bb6c-4ee4-823f-c96309ef35cb","areaDepartmentId":"c6131651-fd33-4f56-b66a-473a35d1f3c4","serviceFormFillingId":"edde9245-9a7b-47d0-b275-2e3cc23540af","creationDateTime":"2026-10-25T06:19:38.7908041+00:00","lastModifiedDateTime":"2026-10-25T06:19:38.7908041+00:00"},{"id":"91cd6176-db05-45ff-8cb2-89bceeea084c","userId":"6da0f362-398c-4143-af02-159fc4079148","departmentId":"1abaaf5f-6601-4577-878b-7eca9d99f4e0","areaDepartmentId":null,"serviceFormFillingId":null,"creationDateTime":"2026-10-24T06:19:38.7908041+00:00","lastModifiedDateTime":"2026-10-25T06:19:38.7908041+00:00"}]}
object
  count integer      
  ⯈ data array[object]      
   areaDepartmentId string / guid      
   creationDateTime datetimeoffset      
   departmentId string / guid      
   id string / guid      
   lastModifiedDateTime datetimeoffset      
   serviceFormFillingId string / guid      
   userId string / guid      
  nextUrl string      
  previousUrl string